Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OrData Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OrData:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::OrData:
[legend]

## Public Member Functions

| OrData (ObjectHeaderPtr iHeader, H5Node &iParentGroup, int32_t iArchiveVersion)
AbcA::CompoundPropertyReaderPtr | getProperties (AbcA::ObjectReaderPtr iParent)
size_t | getNumChildren ()
const AbcA::ObjectHeader & | getChildHeader (AbcA::ObjectReaderPtr iParent, size_t i)
const AbcA::ObjectHeader * | getChildHeader (AbcA::ObjectReaderPtr, const std::string &iName)
AbcA::ObjectReaderPtr | getChild (AbcA::ObjectReaderPtr iParent, const std::string &iName)
AbcA::ObjectReaderPtr | getChild (AbcA::ObjectReaderPtr iParent, size_t i)

The documentation for this class was generated from the following files:

- AbcCoreHDF5/OrData.h
- AbcCoreHDF5/OrData.cpp